## org.apache.fop.dom.svg
Class SVGUseElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.GraphicElement
                              |
                              +--org.apache.fop.dom.svg.SVGUseElementImpl

public class SVGUseElementImpl
extends GraphicElement
implements org.w3c.dom.svg.SVGUseElement

Use Element

Field Summary
`java.lang.String` `link`

Fields inherited from class org.apache.fop.dom.svg.GraphicElement
`reqExtensions, reqFeatures, sysLanguage`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SVGUseElementImpl(java.lang.String s)`

Method Summary
`org.w3c.dom.svg.SVGElementInstance` `getAnimatedInstanceRoot()`
`org.w3c.dom.svg.SVGAnimatedLength` `getHeight()`
`org.w3c.dom.svg.SVGAnimatedString` `getHref()`
`org.w3c.dom.svg.SVGElementInstance` `getInstanceRoot()`
`org.w3c.dom.svg.SVGAnimatedLength` `getWidth()`
`org.w3c.dom.svg.SVGAnimatedLength` `getX()`
`java.lang.String` `getXlinkActuate()`
`java.lang.String` `getXlinkArcRole()`
`java.lang.String` `getXlinkRole()`
`java.lang.String` `getXlinkShow()`
`java.lang.String` `getXlinkTitle()`
`java.lang.String` `getXlinkType()`
`org.w3c.dom.svg.SVGAnimatedLength` `getY()`
`void` `setHeight(org.w3c.dom.svg.SVGAnimatedLength height)`
`void` `setHref(org.w3c.dom.svg.SVGAnimatedString href)`
`void` `setWidth(org.w3c.dom.svg.SVGAnimatedLength width)`
`void` `setX(org.w3c.dom.svg.SVGAnimatedLength x)`
`void` `setXlinkActuate(java.lang.String xlinkActuate)`
`void` `setXlinkArcRole(java.lang.String xlinkArcRole)`
`void` `setXlinkRole(java.lang.String xlinkRole)`
`void` `setXlinkShow(java.lang.String xlinkShow)`
`void` `setXlinkTitle(java.lang.String xlinkTitle)`
`void` `setXlinkType(java.lang.String xlinkType)`
`void` `setY(org.w3c.dom.svg.SVGAnimatedLength y)`

Methods inherited from class org.apache.fop.dom.svg.GraphicElement
`addEventListener, dispatchEvent, getBBox, getChildrenBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getRequiredExtensions, getRequiredFeatures, getScreenCTM, getSystemLanguage, getTransform, getTransformToElement, getXMLlang, getXMLspace, hasExtension, removeEventListener, setRequiredExtensions, setRequiredFeatures, setSystemLanguage, setTransform, setXMLlang, setXMLspace`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getExternalResourcesRequired, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setExternalResourcesRequired, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### link

    public java.lang.String link

Constructor Detail

### SVGUseElementImpl

    public SVGUseElementImpl(java.lang.String s)

Method Detail

### getXlinkType

    public java.lang.String getXlinkType()

### setXlinkType

    public void setXlinkType(java.lang.String xlinkType)

### getXlinkRole

    public java.lang.String getXlinkRole()

### setXlinkRole

    public void setXlinkRole(java.lang.String xlinkRole)

### getXlinkTitle

    public java.lang.String getXlinkTitle()

### setXlinkTitle

    public void setXlinkTitle(java.lang.String xlinkTitle)

### getXlinkArcRole

    public java.lang.String getXlinkArcRole()

### setXlinkArcRole

    public void setXlinkArcRole(java.lang.String xlinkArcRole)

### getXlinkShow

    public java.lang.String getXlinkShow()

### setXlinkShow

    public void setXlinkShow(java.lang.String xlinkShow)

### getXlinkActuate

    public java.lang.String getXlinkActuate()

### setXlinkActuate

    public void setXlinkActuate(java.lang.String xlinkActuate)

### getHref

    public org.w3c.dom.svg.SVGAnimatedString getHref()

### setHref

    public void setHref(org.w3c.dom.svg.SVGAnimatedString href)

### getX

    public org.w3c.dom.svg.SVGAnimatedLength getX()

  Specified by:
    getX in interface org.w3c.dom.svg.SVGUseElement

### setX

    public void setX(org.w3c.dom.svg.SVGAnimatedLength x)

### getY

    public org.w3c.dom.svg.SVGAnimatedLength getY()

  Specified by:
    getY in interface org.w3c.dom.svg.SVGUseElement

### setY

    public void setY(org.w3c.dom.svg.SVGAnimatedLength y)

### getWidth

    public org.w3c.dom.svg.SVGAnimatedLength getWidth()

  Specified by:
    getWidth in interface org.w3c.dom.svg.SVGUseElement

### setWidth

    public void setWidth(org.w3c.dom.svg.SVGAnimatedLength width)

### getHeight

    public org.w3c.dom.svg.SVGAnimatedLength getHeight()

  Specified by:
    getHeight in interface org.w3c.dom.svg.SVGUseElement

### setHeight

    public void setHeight(org.w3c.dom.svg.SVGAnimatedLength height)

### getInstanceRoot

    public org.w3c.dom.svg.SVGElementInstance getInstanceRoot()

  Specified by:
    getInstanceRoot in interface org.w3c.dom.svg.SVGUseElement

### getAnimatedInstanceRoot

    public org.w3c.dom.svg.SVGElementInstance getAnimatedInstanceRoot()

  Specified by:
    getAnimatedInstanceRoot in interface org.w3c.dom.svg.SVGUseElement

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.